AddDefaultCharset utf-8
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /agiliza/
#Remove o acesso a pasta system
RewriteCond %{REQUEST_URI} ^system.*
#Redireciona /index.php/nomedocontroller/ to /nomedocontroller/fun��o/
RewriteRule ^(.*)$ /agiliza/index.php/$1 [L]
#se o arquivo n�o existir (um css ou javascript por exemplo) #ele redireciona para o index.php
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ /agiliza/index.php/$1 [L]
#aqui fazemos o redirecionamento 301 de uma url.com.br para www.url.com.br
#RewriteCond %{HTTP_HOST} ^(seusite\.com\.br)(:80)? [NC]
#RewriteRule ^(.*) http://www.seusite.com.br/$1 [R=301,L]
</IfModule>
<IfModule !mod_rewrite.c>
#caso o mod_rewrite n�o esteja habilitado ele redireciona todo erro 404
#para o index.php ainda funcionando
ErrorDocument 404 /index.php
</IfModule>
